import request from '@/utils/request'

export function getList(data) {
  return request({
    url: 'api/ctRebot/list',
    method: 'post',
    data
  })
}

export function getFreeList(data) {
  return request({
    url: 'api/ctRebot/freeList',
    method: 'post',
    data
  })
}
export function add(data) {
  return request({
    url: 'api/ctRebot/add',
    method: 'post',
    data
  })
}

export function delById(data) {
  return request({
    url: 'api/ctRebot/delete',
    method: 'post',
    data
  })
}

export function editById(data) {
  return request({
    url: 'api/ctRebot/edit',
    method: 'post',
    data
  })
}

export function updateStatus(data) {
  return request({
    url: 'api/ctRebot/updateStatus',
    method: 'post',
    data
  })
}

export function getById(data) {
  return request({
    url: 'api/ctRebot/getById',
    method: 'post',
    data
  })
}
